OpenVDB: CopyToVecOp< VectorValueType, SourceTreeType > Struct Template Reference

OpenVDB 3.2.0

Public Types | Public Member Functions | Public Attributes | List of all members
CopyToVecOp< VectorValueType, SourceTreeType > Struct Template Reference

Functor for use with LeafManager::foreach() to populate a vector with the values of a tree's active voxels. More...

`#include <PoissonSolver.h>`

## Public Types
typedef SourceTreeType::template ValueConverter< VIndex >::Type | VIdxTreeT
typedef VIdxTreeT::LeafNodeType | VIdxLeafT
typedef SourceTreeType::LeafNodeType | LeafT
typedef SourceTreeType::ValueType | TreeValueT
typedef math::pcg::Vector< VectorValueType > | VectorT

## Public Member Functions
| CopyToVecOp (const SourceTreeType &t, VectorT &v)
void | operator() (const VIdxLeafT &idxLeaf, size_t) const

## Public Attributes
const SourceTreeType * | tree
VectorT * | vector

## Detailed Description

### template<typename VectorValueType, typename SourceTreeType>
struct openvdb::v3_2_0::tools::poisson::internal::CopyToVecOp< VectorValueType, SourceTreeType >

Functor for use with LeafManager::foreach() to populate a vector with the values of a tree's active voxels.

## Member Typedef Documentation

## § LeafT

typedef SourceTreeType::LeafNodeType LeafT

## § TreeValueT

typedef SourceTreeType::ValueType TreeValueT

## § VectorT

typedef math::pcg::Vector<VectorValueType> VectorT

## § VIdxLeafT

typedef VIdxTreeT::LeafNodeType VIdxLeafT

## § VIdxTreeT

typedef SourceTreeType::template ValueConverter<VIndex>::Type VIdxTreeT

## Constructor & Destructor Documentation

## § CopyToVecOp()

CopyToVecOp | ( | const SourceTreeType & | t,
|  | VectorT & | v
| ) |  |
| inline

## Member Function Documentation

## § operator()()

void operator() | ( | const VIdxLeafT & | idxLeaf,
|  | size_t |
| ) |  | const
| inline

## Member Data Documentation

## § tree

const SourceTreeType* tree

## § vector

VectorT* vector

The documentation for this struct was generated from the following file:

- PoissonSolver.h